Bug 1291032 - [abrt] plasma-workspace: mdb_env_pick_meta(): krunner killed by SIGSEGV
[abrt] plasma-workspace: mdb_env_pick_meta(): krunner killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ab80c3dfdbdd535c75b231951aa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-12 20:05 EST by sedrubal
Modified: 2016-12-20 11:58 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:58:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (104.87 KB, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details
File: core_backtrace (48.03 KB, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details
File: dso_list (22.88 KB, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details
File: environ (1.95 KB, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details
File: maps (187.80 KB, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details
File: mountinfo (3.54 KB, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details
File: open_fds (75.92 KB, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-12-12 20:05 EST, sedrubal
no flags Details

  None (edit)
Description sedrubal 2015-12-12 20:05:31 EST
Description of problem:
I searched something in krunner as usual. And as it happens often, it crashed without any reason.

Version-Release number of selected component:
plasma-workspace-5.5.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/krunner
crash_function: mdb_env_pick_meta
executable:     /usr/bin/krunner
global_pid:     6303
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 mdb_env_pick_meta at mdb.c:3709
 #1 mdb_txn_renew0 at mdb.c:2512
 #2 mdb_txn_begin at mdb.c:2740
 #3 Baloo::SearchStore::exec at ../../../src/lib/searchstore.cpp:74
 #4 Baloo::Query::exec at ../../../src/lib/query.cpp:210
 #5 SearchRunner::match at ../../../runners/baloo/baloosearchrunner.cpp:98
 #7 Plasma::AbstractRunner::performMatch at ../../src/abstractrunner.cpp:131
 #8 ThreadWeaver::Executor::run at ../../src/executor.cpp:52
 #9 ThreadWeaver::Job::execute at ../../src/job.cpp:83
 #10 ThreadWeaver::Thread::run at ../../src/thread.cpp:114
Comment 1 sedrubal 2015-12-12 20:05:38 EST
Created attachment 1105230 [details]
File: backtrace
Comment 2 sedrubal 2015-12-12 20:05:40 EST
Created attachment 1105231 [details]
File: cgroup
Comment 3 sedrubal 2015-12-12 20:05:41 EST
Created attachment 1105232 [details]
File: core_backtrace
Comment 4 sedrubal 2015-12-12 20:05:43 EST
Created attachment 1105233 [details]
File: dso_list
Comment 5 sedrubal 2015-12-12 20:05:45 EST
Created attachment 1105234 [details]
File: environ
Comment 6 sedrubal 2015-12-12 20:05:46 EST
Created attachment 1105235 [details]
File: exploitable
Comment 7 sedrubal 2015-12-12 20:05:48 EST
Created attachment 1105236 [details]
File: limits
Comment 8 sedrubal 2015-12-12 20:05:50 EST
Created attachment 1105237 [details]
File: maps
Comment 9 sedrubal 2015-12-12 20:05:51 EST
Created attachment 1105238 [details]
File: mountinfo
Comment 10 sedrubal 2015-12-12 20:05:53 EST
Created attachment 1105239 [details]
File: namespaces
Comment 11 sedrubal 2015-12-12 20:05:55 EST
Created attachment 1105240 [details]
File: open_fds
Comment 12 sedrubal 2015-12-12 20:05:56 EST
Created attachment 1105241 [details]
File: proc_pid_status
Comment 13 Fedora End Of Life 2016-11-24 09:12:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 11:58:32 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.